<div align="center">

<p align="center">
<img width="1000px" alt="Awesome DeepSeek Integrations" src="docs/Awesome DeepSeek Integrations.png">
</p>

# 精彩的 DeepSeek 整合 ![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)

將 DeepSeek API 整合到流行的軟體中。前往 [DeepSeek 開放平台](https://platform.deepseek.com/) 獲取 API 金鑰。

[English](https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/README.md)/[簡體中文](https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/README_cn.md)/繁體中文/[日本語](https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/README_ja.md)/[Español](https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/README_es.md)
</div>

</br>
</br>

## 目錄

* [應用](#applications)
* [AI 智慧體框架](#agent)
* [數據 AI 應用框架](#data)
* [RAG 框架](#rag)
* [FHE（全同態加密）框架](#fhe)
* [Solana 框架](#solana)
* [合成資料策展](#sythetic)
* [即時通訊應用插件](#im)
* [Office插件](#office)
* [瀏覽器擴展](#browser)
* [VS Code 擴充功能](#vscode)
* [Visual Studio 擴充功能](#vs)
* [neovim 擴充功能](#neovim)
* [JetBrains 擴充功能](#jetbrains)
* [Discord 機器人](#discord)
* [原生 AI 程式碼編輯器](#codeeditor)
* [Emacs](#emacs)
* [安全性](#security)
* [供應商](#providers)
* [其他](#others) 

## 項目列表

###  <span id="applications">應用</span>

<table>
    <tr>
        <td><img src="docs/OpenXLab/migo/logo.svg" alt="Icon" width="64" height="auto" /></td>
        <td><a href="https://migo.intern-ai.org.cn/education">覓果</a></td>
        <td> 免費的 AI 創新加速工具，提供智慧問答、論文深度理解、前沿 AI 工具以及個人學術知識庫。作為探索的夥伴，覓果助你發現並實現卓越創意！</td>
    </tr>
    <tr>
        <td> <img src="docs/eechat/assets/logo.svg" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://github.com/Lucassssss/eechat">eechat</a></td>
        <td> 簡潔易用的大型模型本地部署工具，支援開源模型 DeepSeek-R1、DLlama 3、Phi-4、Mistral、Gemma 3 等模型的本地化隱私部署，同時支援遠端大型模型 API 呼叫。</td>
    </tr>
    <tr>
        <td> <img src="docs/aingdesk/assets/logo.png" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://github.com/aingdesk/AingDesk">AingDesk</a></td>
        <td> 一鍵將AI模型部署在你的電腦上，操作可視化，內建精美聊天界面，可線上分享供他人共用，支援 DeepSeek 等其他模型，並提供聯網搜索及第三方API支持。</td>
    </tr>
    <tr>
        <td> <img src="docs/dingtalk/assets/dingtalk_icon.png" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://www.dingtalk.com/">釘釘</a></td>
        <td> 釘釘 AI 助理融合了釘釘平台的多項 AI 產品功能，以智能化的方式輔助企業日常工作流程。釘釘 AI 助理具備多種智能能力，包括但不限於智能溝通、智能協同、智能管理等。通過這些功能，AI 助理能夠在企業內部歸納要點、生成會議紀要，並且能夠為用戶推送相關工作任務和日程提醒。此外，釘釘 AI 助理還能夠通過知識庫的能力，智能地回答員工關於企業行政流程、人力資源政策等多個方面的常見問題。</td>
    </tr>
    <tr>
        <td> <img src="https://chatdoc.com/chatdoc/chatdoc.webp" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://chatdoc.com">ChatDOC</a></td>
        <td> ChatDOC 是一款由 AI 驅動的文件閱讀工具，配備強大的可追溯性功能，確保每條資訊的來源清晰可驗證，幫助您高效準確地掌握文件的核心內容。</td>
    </tr>
    <tr>
        <td> <img src="./docs/SwiftChat/assets/favicon.png" alt="Icon" width="64" height="auto" /> </td>
<td> <a href="docs/SwiftChat/README.md">SwiftChat</a></td>
<td> <a href="https://github.com/aws-samples/swift-chat">SwiftChat</a> 是一款基於 React Native 構建的閃電般快速的跨平台 AI 聊天應用。它在 Android、iOS 和 macOS 上提供原生性能。功能包括實時流式聊天、豐富的 Markdown 支持、AI 圖像生成、可自定義系統提示、快速模型切換和多模態能力。支持包括 DeepSeek、Amazon Bedrock、Ollama 和 OpenAI 相容模型在內的多個 AI 提供商，具有簡潔的 UI 和高性能。</td>
    </tr>
    </tr>
        <td> <img src="https://4everlogo.4everland.store/logo/logo.png" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/4EVERChat/README.md">4EVERChat</a></td>
        <td> <a href="https://chat.4everland.org/">4EVERChat</a> 是一個整合數百個 LLM 的智慧模型選擇平台，實現模型效能的即時比較。利用 <a href="https://www.4everland.org/">4EVERLAND</a> AI RPC 的統一 API 端點，實現免費切換模型，並自動選擇響應快速且成本低的組合。</td>
    </tr>
    <tr>
        <td> <img src="./docs/xhai_browser/assets/logo_512.png" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="./docs/xhai_browser/README.md">xhai Browser</a></td>
        <td> xhai Browser 是一款 Android 桌面管理與 AI 瀏覽器，DeepSeek 是其預設的 AI 對話引擎。具備極致效能（啟動僅需 0.2 秒）、輕量化（apk 僅 3M）、無廣告、超快速廣告攔截、多螢幕分類、螢幕導航、多搜索框、一框多搜索等功能！</td>
    </tr>
    <tr>
        <td> <img src="https://i.imgur.com/FkbmMVG.png" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://intellibar.app/">IntelliBar</a></td>
        <td> IntelliBar 是一款美觀的 Mac 助手，讓您可以在 Mac 上的任何應用中使用先進的模型，例如 DeepSeek R1——例如在郵件應用中編輯電子郵件或在瀏覽器中摘要文章。</td>
    </tr>
    <tr>
        <td> <img src="./docs/gptbots/gptbots.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.gptbots.ai/zh_TW/docs">GPTBots</a></td>
        <td> <a href="https://www.gptbots.ai/zh_TW/">GPTBots</a> 是一個免程式設計的 AI 智慧體構建平台，整合了多個國際 LLM，包括 DeepSeek。提供基於 RAG 的知識存儲/檢索、工具自訂/調用和工作流程編排模組。此外，還允許將智慧體整合到多個主流平台（如 WhatsApp、Telegram 等），為企業提供端到端的 AI 解決方案，幫助它們在 AI 時代脫穎而出。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/ThinkInAIXYZ/deepchat/blob/main/build/icon.png?raw=true" alt="Icon" width="64" height="auto" style="border-radius: 10px" /></td>
        <td> <a href="https://github.com/ThinkInAIXYZ/deepchat/blob/main/README.md">DeepChat</a></td>
        <td> DeepChat 是一款完全免費的桌面智慧助手，搭載強大的 DeepSeek 大模型，支援多輪對話、網路搜索、文件上傳、知識庫等功能。</td>
    </tr>
    <tr>
        <td width=80> <img src="https://avatars.githubusercontent.com/u/171659527?s=400&u=39906ab3b6e2066f83046096a66a77fb3f8bb836&v=4" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/quantalogic/quantalogic">Quantalogic</a> </td>
        <td> QuantaLogic 是一個用於構建先進 AI 智慧體的 ReAct（推理與行動）框架。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/13600976/224d547a-6fbc-47c8-859f-aa14813e2b0f" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/chatbox/README.md">Chatbox</a> </td>
        <td> Chatbox 是一款適用於多個尖端 LLM 模型的桌面客戶端，支援 Windows、Mac 和 Linux。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/59196087/bb65404c-f867-42d8-ae2b-281fe953ab54" alt="Icon" width="64" height="auto"/> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/chatgpt_next_web/README.md"> ChatGPT-Next-Web </a> </td>
        <td> ChatGPT Next Web 是一款跨平台支援的 ChatGPT 網頁 UI，支援 GPT3、GPT4 和 Gemini Pro。</td>
    </tr>
    <tr>
        <td> <img src="docs/Casibase/assets/casibase.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://casibase.org/docs/category/beginner-guide/">Casibase</a></td>
        <td> <a href="https://casibase.org">Casibase</a> 是一個開源的 AI 知識庫和對話系統，它結合了最新的 RAG 技術、SSO 功能，並支援各種主流 AI 模型。旨在為企業和開發者提供一個功能強大、靈活易用的知識管理和智慧對話平台。 </td>
    </tr>
    <tr>
        <td> <img src="./docs/Coco AI/assets/favicon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/Coco AI/README.md">Coco AI</a></td>
        <td> <a href="https://coco.rs">Coco AI</a> 是一款完全開源、跨平台的統一搜索與生產力工具，連接並搜索各種數據來源，包括應用、文件、Google Drive、Notion、語雀、Hugo 等，涵蓋本地和雲端。通過整合 DeepSeek 等大模型，Coco AI 實現智慧的個人知識管理，注重隱私並支援私人部署，幫助用戶快速且智慧地訪問信息。</td>
    </tr>
    <tr>
        <td> <img src="./docs/liubai/assets/liubai-logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/liubai/README.md">Liubai</a> </td>
        <td> Liubai 讓 DeepSeek 擁有手腳，能夠在微信上操作您的筆記、任務、日曆和待辦事項！</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/59196087/1ac9791b-87f7-41d9-9282-a70698344e1d" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/pal/README.md"> Pal - AI Chat Client<br/>(iOS, ipadOS) </a> </td>
        <td> Pal 是一款 iOS 上的自訂聊天遊樂場。</td>
    </tr>
    <tr>
        <td> <img src="https://www.librechat.ai/librechat.svg" alt="LibreChat" width="64" height="auto" /> </td>
        <td> <a href="https://www.librechat.ai/docs/configuration/librechat_yaml/ai_endpoints/deepseek">LibreChat</a> </td>
        <td> LibreChat 是一款可定制的開源 App，無縫整合 DeepSeek 提升 AI 互動體驗。</td>
    </tr>
     <tr>
        <td> <img src="https://raw.githubusercontent.com/longevity-genie/chat-ui/11c6647c83f9d2de21180b552474ac5ffcf53980/static/geneticsgenie/icon-128x128.png" alt="Icon" width="64" height="auto"/> </td>
        <td> <a href="https://github.com/longevity-genie/just-chat">Just-Chat</a> </td>
        <td> 快速簡單地創建您的 LLM 智慧體並與之聊天！</td>
     </tr>
    <tr>
        <td> <img src="https://www.papersgpt.com/images/logo/favicon.ico" alt="PapersGPT" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/papersgpt/papersgpt-for-zotero">PapersGPT</a> </td>
        <td> PapersGPT 是一款 Zotero 插件，無縫整合 DeepSeek 和其他多個 AI 模型，快速閱讀 Zotero 中的論文。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/rss-translator/RSS-Translator/main/core/static/favicon.ico" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/rss_translator/README.md"> RSS Translator </a> </td>
        <td> 將 RSS 源翻譯成您的語言！</td>
    </tr>
    <tr>
        <td> <img src="https://relingo.net/assets/images/relingo-logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://relingo.net"> Relingo </a> </td>
        <td> 在瀏覽網站和觀看 YouTube 時構建和掌握詞彙！</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/ysnows/enconvo_media/main/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/enconvo/README.md"> Enconvo </a> </td>
        <td> Enconvo 是 AI 時代的啟動器，是所有 AI 功能的入口點，也是貼心的智慧助手。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/kangfenmao/cherry-studio/blob/main/src/renderer/src/assets/images/logo.png?raw=true" alt="Icon" width="64" height="auto" style="border-radius: 10px" /></td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/cherrystudio/README.md">Cherry Studio</a></td>
        <td> 一款為生產者設計的強大桌面 AI 助手。</td>
    </tr>
    <tr>
        <td> <img src="https://tomemo.top/images/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/tomemo/README.md"> ToMemo (iOS, ipadOS) </a> </td>
        <td> 一款短語簿 + 剪貼板歷史 + 鍵盤的 iOS App，整合 AI 巨型建模，用於快速鍵盤輸出。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/buxuku/video-subtitle-master/refs/heads/main/resources/icon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/buxuku/video-subtitle-master">Video Subtitle Master</a></td>
        <td> 批次生成影片字幕，並能將字幕翻譯成其他語言。這是一款客戶端工具，支援 Mac 和 Windows 平台，並整合了多個翻譯服務，如百度、火山引擎、DeepLx、OpenAI、DeepSeek 和 Ollama。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/UnknownEnergy/chatgpt-api/blob/master/dist/assets/chatworm-72x72.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/UnknownEnergy/chatgpt-api/blob/master/README.md">Chatworm</a> </td>
        <td> Chatworm 是一款適用於多個尖端 LLM 模型的網頁 App，開源且適用於 Android。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/tisfeng/ImageBed/main/uPic/icon_512x512@2x.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/tisfeng/Easydict">Easydict</a></td>
        <td> Easydict 是一款簡潔易用的翻譯字典 macOS App，讓您輕鬆優雅地查詢單詞或翻譯文本。支援調用大型語言模型 API 進行翻譯。</td>
    </tr>
    <tr>
        <td> <img src="https://www.raycast.com/favicon-production.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/raycast/README.md">Raycast</a></td>
        <td> <a href="https://raycast.com/?via=ViGeng">Raycast</a> 是一款 macOS 的生產力工具，讓您通過幾個按鍵控制工具。支援包括 DeepSeek AI 在內的各種擴展。</td>
    </tr>
    <tr>
        <td> <img src="./docs/chatpdflocal/assets/chatpdflocal-icon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.chatpdflocal.com">ChatPDFLocal</a> </td>
        <td> ChatPDFLocal 是一款基於 AI 的 macOS App，可以幫助您快速地理解 PDF，它可與 DeepSeek 及多種 AI 模型無縫地協作，提高您的閱讀效率。</td>
    </tr>
    <tr>
        <td> <img src="https://niceprompt.app/favicon.ico" alt="Icon" width="64" height="auto" /> </td> 
	<td> <a href="https://niceprompt.app">Nice Prompt</a></td> 
	<td> <a href="https://niceprompt.app">Nice Prompt</a> 在您的程式碼編輯器中組織、分享和使用您的提示，支援 Cursor 和 VSCode。</td>
    </tr>
    <tr>
        <td> <img src="https://avatars.githubusercontent.com/u/193405629?s=200&v=4" alt="PHP Client" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-php/deepseek-php-client/blob/master/README.md">PHP Client</a> </td>
        <td> Deepseek PHP Client 是一個強大且由社群驅動的 PHP 客戶端庫，用於與 Deepseek API 無縫整合。</td>
    </tr>
    <tr>
      <td>
        <img
          src="https://github.com/tornikegomareli/DeepSwiftSeek/blob/main/logo.webp"
          alt="DeepSwiftSeek Logo"
          width="64"
          height="auto"
        />
      </td>
      <td>
        <a href="https://github.com/tornikegomareli/DeepSwiftSeek/blob/main/README.md">DeepSwiftSeek</a>
      </td>
      <td>
        DeepSwiftSeek 是一個輕量但強大的 Swift 客戶端庫，與 DeepSeek API 的整合非常出色。
        它提供了易於使用的 Swift 並發功能，用於聊天、串流、FIM（中間填充）補全等。
      </td>
    </tr>
    <tr>
        <td> <img src="https://avatars.githubusercontent.com/u/958072?s=200&v=4" alt="Laravel Integration" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-php/deepseek-laravel/blob/master/README.md">Laravel Integration</a> </td>
        <td> Laravel 的 Deepseek PHP 客戶端封裝，用於與 Laravel 應用無縫整合 Deepseek API。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/cohesion-org/deepseek-go/refs/heads/main/internal/images/deepseek-go.png" alt="Go Client" width="64" height="auto"> </td>
        <td> <a href="https://github.com/cohesion-org/deepseek-go/blob/main/README.md">Deepseek Go</a> </td>
        <td> Go 的 Deepseek 用戶端，支援聊天與推理模型。 同時支援 Azure、OpenRouter 等外部供應商。</td>
    </tr>
    <tr>
        <td> <img src="./docs/zotero/assets/zotero-icon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/zotero/README_cn.md">Zotero</a></td>
        <td> <a href="https://www.zotero.org">Zotero</a> 是一款免費、易用的工具，幫助您收集、組織、註解、引用和分享研究資料。可使用 Deepseek 作為翻譯服務。</td>
    </tr>
    <tr>
        <td> <img src="https://b3log.org/images/brand/siyuan-128.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/SiYuan/README.md">SiYuan</a> </td>
        <td> SiYuan 是一款注重隱私的個人知識管理系統，支援完全離線使用以及端到端加密數據同步。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/ArvinLovegood/go-stock/raw/master/build/appicon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/ArvinLovegood/go-stock/blob/master/README.md">go-stock</a> </td>
        <td> go-stock 是一款由 Wails 使用 NativeUI 構建的中國股票數據查看器，並由 LLM 提供支援。</td>
    </tr>
    <tr>
        <td> <img src="https://avatars.githubusercontent.com/u/102771702?s=200&v=4" alt="Wordware" width="64" height="auto" /> </td>
        <td> <a href="docs/wordware/README.md">Wordware</a> </td>
        <td> <a href="https://www.wordware.ai/">Wordware</a> 是一款工具包，讓任何人僅使用自然語言即可構建、迭代和部署其 AI 堆棧。</td>
    </tr>
    <tr>
        <td> <img src="https://framerusercontent.com/images/xRJ6vNo9mUYeVNxt0KITXCXEuSk.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/langgenius/dify/">Dify</a> </td>
        <td> <a href="https://dify.ai/">Dify</a> 是一個 LLM 應用開發平台，支援 DeepSeek 模型，用於創建助手、工作流程、文本生成器等。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/enricoros/big-AGI/refs/heads/v2-dev/public/favicon.ico" alt="Big-AGI" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/enricoros/big-AGI/blob/v2-dev/README.md">Big-AGI</a> </td>
        <td><a href="https://big-agi.com/">Big-AGI</a> 是一款突破性的 AI 套件，旨在讓每個人都能平等地獲得先進的人工智慧。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/LiberSonora/LiberSonora/blob/main/assets/avatar.jpeg?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/LiberSonora/LiberSonora/blob/main/README_en.md">LiberSonora</a> </td>
        <td> LiberSonora，意為「自由之聲」，是一款由 AI 驅動的強大開源有聲書工具包，包含智慧字幕提取、AI 標題生成、多語言翻譯等功能，支援 GPU 加速和批次離線處理。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/ripperhe/Bob/master/docs/_media/icon_128.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://bobtranslate.com/">Bob</a></td>
        <td> <a href="https://bobtranslate.com/">Bob</a> 是一款 macOS 翻譯與 OCR 工具，可直接在任何應用中使用，開箱即用！</td>
    </tr>
    <tr>
        <td> <img src="https://agenticflow.ai/favicon.ico" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://agenticflow.ai/">AgenticFlow</a> </td>
        <td> <a href="https://agenticflow.ai/">AgenticFlow</a> 是一個免程式設計的平台，讓行銷人員構建代理型 AI 工作流程，用於市場推廣自動化，並由數百個日常應用作為 AI 智慧體的工具提供支援。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/ZGGSONG/STranslate/raw/main/img/favicon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://stranslate.zggsong.com/en/">STranslate</a></td>
        <td> <a href="https://stranslate.zggsong.com/en/">STranslate</a>（Windows）是一款由 WPF 開發的即用型翻譯 OCR 工具。</td>
    </tr>
    <tr>
        <td> <img src="https://devinci.onicai.com/favicon.ico" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://devinci.onicai.com/">DeVinci</a></td>
        <td> <a href="https://devinci.onicai.com/">DeVinci</a> 是端到端去中心化 AI 聊天應用程式，可與開源 LLM 私下聊天。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/user-attachments/assets/5e16beb0-993e-47bf-807e-7c8804b313a2" alt="Asp Client" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/Anwar-alhitar/Deepseek.Asp.Client/blob/master/README.md">ASP Client</a> </td>
        <td> <a href="https://github.com/Anwar-alhitar/Deepseek.Asp.Client/blob/master/README.md">Deepseek.ASPClient</a> 是一款輕量級的 ASP.NET 封裝，用於簡化 .NET 應用中的 AI 驅動文本處理。</td>
    </tr>
    <tr>
        <td> <img src="https://www.gptaiflow.tech/logo.png" alt="gpt-ai-flow-logo" width="64" height="auto" /> </td>
        <td> <a href="https://www.gptaiflow.tech/docs/product/api-keys-setup#setup-deepseek-api-keys">GPT AI Flow</a></td>
        <td>
            工程師為效率愛好者（自己）打造的終極生產力武器：<a href="https://www.gptaiflow.tech/">GPT AI Flow</a>
            <ul>
                <li>`Shift+Alt+Space` 啟動桌面智慧中樞</li>
                <li>本地加密儲存</li>
                <li>自定義指令引擎</li>
                <li>按需使用，無需訂閱綁定</li>
            </ul>
        </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/user-attachments/assets/b09f17a8-936d-4dac-8b24-1682d52c9a3c" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/alecm20/story-flicks">Story-Flicks</a></td>
        <td> 只需一句話，即可快速生成高清故事短影片，支援 DeepSeek 等模型。</td>
    </tr>
    <tr>
        <td> <img src="https://prompt.16x.engineer/favicon.ico" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/16x_prompt/README.md">16x Prompt</a> </td>
        <td> <a href="https://prompt.16x.engineer/">16x Prompt</a> 是一款具備情境管理功能的 AI 編碼工具。幫助開發者管理源代碼情境，並為現有代碼庫中的複雜編碼任務生成提示。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/Alpha派/assets/favicon1.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/Alpha派/README.md"> Alpha 派 </a> </td>
        <td> AI 研究助理 / 下一代由 AI 驅動的金融資訊門戶。<br>代替投資者參加會議並記錄筆記，同時提供金融資訊搜索與問答服務，以及投資研究的定量分析。</td>
    <tr>
        <td> <img src="https://docs.xark-argo.com/img/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.xark-argo.com">argo</a> </td>
        <td>在 Mac/Windows/Linux 上本地下載並運行 Ollama 和 Huggingface 模型，並支援 RAG。也支援 LLM API。</td>
    </tr>
    <tr>
        <td> <img src="https://www.petercat.ai/images/favicon.ico" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.petercat.ai">PeterCat</a> </td>
        <td> 一個對話式問答代理配置系統，提供自託管部署解決方案，以及方便的一體化應用 SDK，讓您能為您的 GitHub 存儲庫創建智慧問答機器人。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/labring/FastGPT/refs/heads/main/.github/imgs/logo.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://fastgpt.cn/en">FastGPT</a> </td>
        <td>
            FastGPT 是一個基於大型語言模型（LLMs）的開源 AI 知識庫平台，支援包括 DeepSeek 和 OpenAI 在內的多種模型。我們提供即開即用的數據處理、模型調用、RAG 檢索和可視化 AI 工作流編排功能，讓您輕鬆構建複雜的 AI 應用。
        </td>
    </tr>
    <tr>
        <td> <img src="./docs/ruzhiai_note/assets/play_store_512.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/ruzhiai_note/README.md">RuZhi AI Notes</a> </td>
        <td> RuZhi AI Notes 是一款由 AI 驅動的智慧知識管理工具，提供一站式知識管理與應用服務，包括 AI 搜索與探索、將 AI 結果轉換為筆記、筆記管理與組織、知識展示與分享。整合 DeepSeek 模型，提供更穩定和高質量的輸出。</td>
    </tr>
    <tr>
        <td> <img src="https://cdn.link-ai.tech/doc/CoW%20logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/zhayujie/chatgpt-on-wechat">Chatgpt-on-Wechat</a> </td>
        <td> Chatgpt-on-Wechat(CoW) 是一個靈活的聊天機器人框架，支援將多個 LLM（包括 DeepSeek、OpenAI、Claude、Qwen 等）無縫整合到常用平台或辦公軟體中，如微信公眾號、企業微信、飛書、釘釘和網站。還支援廣泛的自定義插件。</td>
    </tr>
    <tr>
        <td> <img src="https://athenalab.ai/assets/favicon/favicon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://athenalab.ai/">Athena</a> </td>
        <td> 全球首個具備先進認知架構和類人推理能力的自動化通用 AI，旨在解決複雜的現實世界挑戰。</td>
    </tr>
    <tr>
        <td> <img src="https://maxkb.cn/images/favicon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/1Panel-dev/MaxKB">MaxKB</a> </td>
        <td> <a href="https://maxkb.cn/">MaxKB</a> 是一款即開即用且靈活的 RAG 聊天機器人。</td>
    </tr>
    <tr>
        <td> <img src="./docs/TigerGPT/assets/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://ttm.financial/gpt">TigerGPT</a> </td>
        <td> TigerGPT 是基於 OpenAI 的首款金融 AI 投資助理，由老虎集團開發。TigerGPT 旨在為投資者提供智慧投資決策支援。2025 年 2 月 18 日，TigerGPT 正式整合 DeepSeek-R1 模型，為用戶提供支援深度推理的在線問答服務。</td>
    </tr>
    <tr>
        <td> <img src="./docs/HIX.AI/assets/logo.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://hix.ai">HIX.AI</a> </td>
        <td> 免費試用 DeepSeek，享受無限制的 AI 聊天。在 HIX.AI 上使用 DeepSeek R1 進行 AI 聊天、寫作、編碼等。立即體驗下一代 AI 聊天！</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/sharmt1411/askanywhere/blob/main/icon/Depth_8,_Frame_0explore-%E8%A7%92%E6%A0%87.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/sharmt1411/askanywhere">Askanywhere</a> </td>
        <td> 隨時選擇文字並開始與 DeepSeek 對話。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/OJZen/1chat/raw/refs/heads/main/doc/assets/icon.ico?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/OJZen/1chat">1chat</a> </td>
        <td> 一款 iOS 應用，可讓您在本機與 DeepSeek-R1 模型進行聊天。</td>
    </tr>
    <tr>
        <td> <img src="https://chatlabsai.com/assets/logo/logo.png" alt="iOS AI Chatbot" width="64" height="auto" /> </td>
        <td> <a href="https://chatlabsai.com">Access 250+ text, image LLMs in one app</a> </td>
        <td> 1AI iOS 聊天機器人整合了 250 多種文本、圖像、語音模型，讓用戶能與包括 DeepSeek R1 和 DeepSeek V3 模型在內的任何模型進行聊天。</td>
    </tr>
    <tr>
        <td> <img src="./docs/PopAi/assets/logo.svg" alt="PopAi" width="64" height="auto" /> </td>
        <td> <a href="https://popai.pro">PopAi</a> </td>
        <td> PopAi 推出 DeepSeek R1！享受零延遲與超高速效能，輕鬆切換在線搜索開關。</td>
    </tr>
    <tr>
        <td> <img src="https://pot-app.com/logo/icon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://pot-app.com/">Pot</a></td>
        <td> <a href="https://pot-app.com/">Pot</a> 🌈一個跨平臺的劃詞翻譯和OCR軟件 </td>
    </tr>
    <tr>
        <td><img src="https://github.com/Byaidu/PDFMathTranslate/raw/main/docs/images/banner.png" alt="Icon" width="64" height="auto" /></td>
        <td><a href="https://github.com/Byaidu/PDFMathTranslate">PDFMathTranslate</a></td>
        <td> PDFMathTranslate 是一款以 AI 為基礎的全文雙語翻譯工具，可完全保留 PDF 文件的版面設計。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/Richasy/Bili.Copilot/raw/master/assets/StoreLogo.png" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://github.com/Richasy/Bili.Copilot">嗶哩助理</a></td>
        <td> Bilibili 第三方 Windows 桌面用戶端，使用 Windows App SDK 構建的原生應用。</td>
    </tr>
    <tr>
        <td> <img src="https://www.tensorbounce.com/logo.png" alt="Icon" width="64" height="auto" /></td>
        <td> <a href="https://github.com/jiqi136/DS-AI">LawAgent</a></td>
        <td> LawAgent 是 Tensorbounce 團隊出品的知識庫結合 AI Agent 的法律 AI 產品，擁有上千萬官方法律相關知識庫數據，也允許客製化的知識庫配置。專業模式利用 DeepSeek-R1 的推理能力，協助使用者進行法律分析、合約審查、文件產生、檔案翻譯及其他法律情境。</td>
    </tr>
    <tr>
        <td width=80> <img src="docs/AlphaBot/assets/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://alphabot.x-pai.com/">AlphaBot</a> </td>
        <td> AlphaBot 是一款智慧型股票分析助手，結合多源資料與 AI 分析技術，提供技術分析、預測、風險評估等功能，協助投資人做出以資料為導向的交易決策。 支援一鍵部署，操作簡單，支援Windows/Linux/MacOS等平台。</td>
    </tr>
    <tr>
        <td><img src="https://h1.appinn.me/file/1741929316827_21.png" alt="Icon" width="64" height="auto" /></td>
        <td><a href="https://github.com/jiqi136/DS-AI">多平臺聯網 DeepSeek</a></td>
        <td> 利用 DeepSeek 官方、阿里雲、抖音火山，三通道 AI 引擎，持續進化智慧。此外，它還採用了「線上搜索+深度思考」的混合模式。</td>
	</tr>
    <tr>
        <td><img src="docs/remio/assets/remio_icon.png" alt="Icon" width="64" height="auto" /></td>
        <td><a href="https://www.remio.ai/">remio</a></td>
        <td> remio 是一個 AI 驅動的個人知識中心，通過自動捕獲瀏覽的網頁內容、解析本地文件並整合個人筆記，構建個性化的知識庫。它支持在個人知識庫中進行搜索和自然語言問答，以提供即時洞察，同時提供智能寫作輔助——適應您的寫作風格，輕鬆簡化起草、潤色和完成內容的過程。remio 採用本地優先儲存設計，優先保護數據隱私，同時集中管理零散信息，以實現最大化的生產力。</td>
    </tr> 
    <tr>
        <td><img src="docs/DocKit/assets/dockit.png" alt="Icon" width="64" height="auto" /></td>
        <td><a href="https://dockit.geekfun.club/">DocKit</a></td>
        <td>DocKit is an AI powered desktop GUI client designed for NoSQL database, support Elasticsearch and OpenSearch across Mac, windows and Linux. By integrating with large models like DeepSeek, DocKit can help developers to write complex DSL queries, and provide a better experience for data management and analysis. </td>
    </tr> 
    <tr>
        <td> <img src="docs/zenfeed/assets/icon.png" alt="圖示" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/glidea/zenfeed">zenfeed</a> </td>
        <td> 用 AI 賦能 RSS，自動篩選、總結、推送重要資訊，告別資訊過載。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="agent">AI 智慧體框架</span>

<table>
    <tr>
        <td width=80> <img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/smolagents/mascot_smol.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/huggingface/smolagents/tree/main"> smolagents </a> </td>
        <td> 建立優質智慧體的最簡單方式。開發者撰寫 Python 程式碼來調用工具並協調其他智慧體。優先支援像 DeepSeek-R1 這樣的開放模型！</td>
    </tr>
    <tr>
        <td><img src="https://yomo.run/yomo-logo.png" alt="Icon" width="64" height="auto" /></td>
        <td><a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/yomo/README.md">YoMo</a></td>
        <td> 有狀態的無伺服器大型語言模型（LLM）函數調用框架，支援強類型語言。</td>
     </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/superagentxai/superagentX/refs/heads/master/docs/logo/icononly_transparent_nobuffer.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/superagentx/README.md">SuperAgentX</a> </td>
        <td> SuperAgentX：一個輕量級的開源 AI 框架，專為具備 AGI 能力的自主多智慧體應用設計。</td>
    </tr>
    <tr>
        <td> <img src="https://panda.fans/_assets/favicons/apple-touch-icon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/anda/README.md">Anda</a> </td>
        <td> 一個用於 AI 智慧體開發的 Rust 框架，旨在構建高度可組合、自主且持續記憶的 AI 智慧體網絡。</td>
    </tr>
    <tr>
        <td> <img src="https://rig.rs/assets/favicon.png" alt="Icon" width="64" height="auto" alt="Rig (Rust)" /> </td>
        <td> <a href="https://rig.rs">RIG</a> </td>
        <td> 在 Rust 中構建模組化且可擴展的大型語言模型應用程式。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/longevity-genie/chat-ui/11c6647c83f9d2de21180b552474ac5ffcf53980/static/geneticsgenie/icon-128x128.png" alt="Icon" width="64" height="auto"/> </td>
        <td> <a href="https://github.com/longevity-genie/just-agents">Just-Agents</a> </td>
        <td> 一個輕量級、簡單明瞭的大型語言模型智慧體庫——沒有過度設計，只有簡單易用！</td>
    </tr>
    <tr>
        <td> <img src="https://alice.fun/alice-logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/bob-robert-ai/bob/blob/main/alice/readme.md">Alice</a> </td>
        <td> 一個基於 ICP 的自主 AI 智慧體，利用大型語言模型（如 DeepSeek）進行鏈上決策。Alice 結合了實時數據分析和生動有趣的個性，來管理代幣、挖掘 BOB 並治理生態系統。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/Upsonic/Upsonic/blob/9d2e6d43b44defc6744817330625661ca3a2184e/Upsonic%20pp.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/Upsonic/Upsonic">Upsonic</a> </td>
        <td> Upsonic 提供了一個尖端的企業級智慧體框架，您可以協調大型語言模型調用、智慧體和計算機使用，以具成本效益地完成任務。</td>
    </tr>
    <tr>
        <td> <img src="https://avatars.githubusercontent.com/u/173022229" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/APRO-com">ATTPs</a> </td>
        <td> 一個用於智慧體之間可信通信的基礎協議框架。任何基於 DeepSeek 的智慧體，通過整合 <a href="https://docs.apro.com/attps">ATTPs</a> SDK，可以訪問智慧體註冊、發送可驗證數據和檢索可驗證數據等功能，從而實現與其他平台智慧體的可信通信。</td>
    </tr>
    <tr>
        <td> <img src="docs/translate.js/assets/icon.png" alt="图标" width="64" height="auto" /> </td>
        <td> <a href="docs/translate.js/README.md">translate.js</a> </td>
        <td> 專為前端開發者設計的 AI 國際化工具。只需兩行 JavaScript 即可實現全自動 HTML 翻譯。您可以一鍵切換多種語言，無需修改頁面或語言配置檔案，並支援多種微調擴展指令。對搜尋引擎優化（SEO）友好。此外，它還開放了一個標準文本翻譯 API 介面。</td>
    </tr>
    <tr>
        <td width=80> <img src="docs/agentUniverse/assets/agentUniverse_logo_s.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/antgroup/agentUniverse"> agentUniverse </a> </td>
        <td> agentUniverse 是一個專為複雜業務場景設計的多智慧體協作框架。它為大型語言模型智慧體應用提供快速且易於使用的開發能力，專注於智慧體協作調度、自主決策和動態反饋等機制。該框架源自螞蟻集團在金融行業的實際業務實踐。2024 年 6 月，agentUniverse 正式支援 DeepSeek 系列模型。</td>
    </tr>
    <tr>
        <td width=80> <img src="docs/BotSharp/assets/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/SciSharp/BotSharp"> BotSharp </a> </td>
        <td> BotSharp 是一個開源的多智慧體應用開發框架，從簡單的聊天機器人，到多智慧體協作，以及複雜的任務如【Text To Sql】框架都提供了開箱即用的使用方法，可以快速地將大模型的能力接入到現有的業務系統中，並且內建知識庫和會話管理功能等，框架使用 DeepSeek V3 的模型進行了詳細的測試，得益於 DeepSeek V3 的性能，框架的表現不輸其他的閉源模型。 </td>
    </tr>
     <tr>
        <td width=80> <img src="docs/eino/assets/logo.png" alt="Icon" width="64" height="auto" /> </td>
            <td> <a href="https://github.com/cloudwego/eino"> Eino </a> </td>
            <td> Eino（發音類似"I know"）旨在成為Go語言中最優秀的LLM應用開發框架。它借鑒了LangChain、LlamaIndex等開源社區優秀LLM框架的設計理念，同時吸收了前沿研究成果和實際應用經驗，提供了一個更符合Go語言編程慣例的LLM應用開發框架，強調簡潔性、可擴展性、可靠性和高效性。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="data">數據 AI 應用框架</span>

<table>
    <tr>
        <td width="80"> <img src="https://github.com/user-attachments/assets/a327d72f-755f-4256-8a37-32a518a55df3" alt="Icon" width="64" height="auto" /> </td>
        <td width="120"> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/dbgpt/README.md"> DB-GPT </a> </td>
        <td> 🤖 DB-GPT 是一個開源 AI 原生數據應用開發框架，具備 AWEL（智慧體工作流程表達語言）和智慧體功能。
其目的是在大模型領域構建基礎設施，通過多種技術能力的開發，如多模型管理 (SMMF)、Text2SQL 效果優化、RAG 框架及優化、多智慧體框架協作、AWEL（智慧體工作流程編排）等，讓數據的大模型應用變得更簡單、更方便。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="rag">RAG 框架</span>

<table>
    <tr>
        <td width="80"> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/33142505/77093e84-9f7c-4716-9168-bac962fa1372" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/ragflow/README.md"> RAGFlow </a> </td>
        <td> 一個基於深度文件理解的開源 RAG（檢索增強生成）引擎。它為任何規模的企業提供簡化的 RAG 工作流程，結合 LLM（大型語言模型）提供準確的問答能力，並以來自各種複雜格式資料的可信引用為支撐。</td>
    </tr>
    <tr>
        <td width="80"> <img src="https://raw.githubusercontent.com/pingcap/tidb.ai/main/frontend/app/public/nextra/icon-dark.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/autoflow/README.md"> Autoflow </a> </td>
        <td> <a href="https://github.com/pingcap/autoflow">AutoFlow</a> 是一個基於 GraphRAG（基於圖的檢索增強生成）的開源知識庫工具，構建於 <a href="https://www.pingcap.com/ai?utm_source=tidb.ai&utm_medium=community">TiDB</a> Vector、LlamaIndex 和 DSPy 之上。它提供類似 Perplexity 的搜尋介面，並允許透過嵌入簡單的 JavaScript 程式碼片段，輕鬆將 AutoFlow 的對話式搜尋視窗整合到您的網站中。</td>
    </tr>
    <tr>
        <td width="80"> <img src="https://assets.zilliz.com/Zilliz_Logo_Mark_White_20230223_041013_86057436cc.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/zilliztech/deep-searcher"> DeepSearcher </a> </td>
        <td> DeepSearcher 結合了強大的 LLM（DeepSeek、OpenAI 等）和向量資料庫（Milvus 等），基於私有資料進行搜尋、評估和推理，提供高度準確的答案和全面的報告。</td>
    </tr>
    <tr>
        <td width="80"> <img src="https://raw.githubusercontent.com/OpenSPG/openspg/089188f3e7b0392221f5a8e8f1a3629b6352a6f9/LOGO.png" alt="Icon" width="64" height="auto"/> </td>
        <td> <a href="https://github.com/OpenSPG/KAG/blob/master/README.md"> KAG </a> </td>
        <td> KAG 是一個基於 <a href="https://github.com/OpenSPG/openspg">OpenSPG</a> 引擎和大型語言模型的邏輯推理與問答框架，用於構建垂直領域知識庫的邏輯推理與問答解決方案。KAG 能夠有效克服傳統 RAG 向量相似性計算的模糊性以及 OpenIE 引入的 GraphRAG 噪音問題。KAG 支援邏輯推理和多跳事實問答等功能。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="fhe">FHE（全同態加密）框架</span>

<table>
    <tr>
        <td> <img src="./docs/fhe.mind-network/mind-network-log.png" alt="Icon" width="200" height="auto" /> </td>
        <td> <a href="https://github.com/mind-network/mind-sdk-deepseek-rust"> Mind FHE Rust SDK </a> </td>
        <td> <p>一個用於加密 AI 的開源 SDK，基於全同態加密（FHE）並與 Mind Network 整合以實現代理共識。FHE 被認為是密碼學的<b>最高境界</b>，允許直接在加密資料上進行運算而無需解密。透過 FHE，代理可以在使用 Deepseek 的同時保護隱私，確保模型完整性和結果共識——<b>完全不暴露資料</b>——透過連接到 Mind Network。該 SDK 的<a href="https://github.com/mind-network/mind-sdk-deepseek-rust">原始碼</a>完全使用<b>Rust</b>實現，並且該套件也可在<a href="https://crates.io/crates/mind_sdk_deepseek">crates.io</a>上獲得。</p> </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="solana">Solana 框架</span>

<table>
    <tr>
        <td> <img src="./docs/solana-agent-kit/assets/sendai-logo.png" alt="Icon" width="128" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/solana-agent-kit/README.md"> Solana Agent Kit </a> </td>
        <td> 一個用於將 AI 智慧體連接到 Solana 協議的開源工具包。現在，任何使用 Deepseek LLM 的智慧體都可以自主執行 60 多個 Solana 操作，例如交易處理和智慧合約部署：</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="sythetic">合成資料策展</span>

<table>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/bespokelabsai/curator/main/docs/Bespoke-Labs-Logomark-Red-crop.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/curator/README.md"> Curator </a> </td>
        <td> 一個用於後訓練 LLM 的大規模資料集策展的開源工具。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/user-attachments/assets/8455694b-c52e-40ec-847e-adf6a5ac064f" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/Kiln-AI/Kiln"> Kiln </a> </td>
        <td>生成合成資料集並將 R1 模型蒸餾為自訂微調模型。</td>
    </tr>
    <tr>
        <td> <img src="https://avatars.githubusercontent.com/u/192579850?s=200&v=4" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/DataEval/dingo"> Dingo </a> </td>
        <td> Dingo：一個全面的資料品質評估工具。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="im">即時通訊應用插件</span>

<table>
    <tr>
        <td> <img src="https://github.com/InternLM/HuixiangDou/releases/download/v0.1.0rc1/huixiangdou.jpg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/huixiangdou/README_cn.md">HuixiangDou<br/>(微信, 飛書)</a> </td>
        <td> 專為專業用戶設計的個人微信和飛書中的領域知識助手，專注於回答問題。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/RockChinQ/LangBot/blob/master/res/logo.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/RockChinQ/LangBot">LangBot<br/>（QQ, 飛書, 企業微信）</a> </td>
        <td> 基於 LLM 的即時通訊機器人框架，適用於多種企業場景，支援 QQ、飛書、企業微信等多個平台。</td>
    </tr>
    <tr>
        <td> <img src="https://nonebot.dev/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/KomoriDev/nonebot-plugin-deepseek">NoneBot<br/>（QQ, 飛書, Discord, TG 等）</a> </td>
        <td> 基於 NoneBot 框架，提供智慧聊天和深度思考功能，支援 QQ、飛書、Discord、TG 等多個平台。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/Soulter/AstrBot/raw/refs/heads/master/dashboard/src/assets/images/logo-normal.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/Soulter/AstrBot/">AstrBot<br/>（QQ, 微信, 企業微信, 飛書, TG 等）</a> </td>
        <td> 易上手的大模型多平台聊天機器人及開發框架。支援長期記憶、RAG、LLM 代理(agents)和外掛程式整合。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="office">Office插件</span>

<table>
    <tr>
        <td> <img src="https://www.44886.com/view/img/bukeng.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.bukenghezi.com/">BKOffice</a> </td>
        <td> 支援 Word、Excel 和 PPT 套件的 Office 外掛程式 (也支援 WPS 套件)，可為 Office 增加 300 多項功能。</td>
    </tr>
      <tr>
        <td> <img src="https://www.aippt.cn/_nuxt/logo_cn.eYEokZzA.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.aippt.cn/">AiPPT</a> </td>
        <td> AiPPT.com，超過2000萬用戶選擇，一句話，一分鐘，一次點擊生成PPT。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/office-sec/OfficeAI/blob/main/logo/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/office-sec/OfficeAI">OfficeAI Assistant</a> </td>
        <td> OfficeAI Assistant 是一款免費的 Office 外掛程式，可在 Office 內提供 AI 問答、AI 校對、AI 排版、AI 創作、AI 資料處理等功能。 它可以提高辦公效率，並與 Microsoft Office 和 WPS Office 相容。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="browser">瀏覽器擴展</span>

<table>
    <tr>
        <td><img src="docs/OpenXLab/migo/logo.svg" alt="Icon" width="64" height="auto" /></td>
        <td><a href="https://chromewebstore.google.com/detail/cjapgnecnkblehipjghhegiccobeloka?utm_source=item-share-cb">覓果</a></td>
        <td> 提供全面的文本處理、資訊檢索與知識問答功能，靈活適配多種線上辦公與科研場景（如飛書、arXiv、Overleaf 等），助力高效智慧化工作流程。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/59196087/9d3f42b8-fcd0-47ab-8b06-1dd0554dd80e" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/immersive_translate/README.md"> Immersive Translate </a> </td>
        <td> Immersive Translate 是一個雙語網頁翻譯插件，支援多種語言的即時切換。</td>
    </tr>
    <tr>
        <td> <img src="https://lh3.googleusercontent.com/K9i0qJb8phasC5wWf5tU68rhnfvX4swsE0hrhJP-WB3WV7MwE5KpMUIJvHKNHHRE6GKNIvIdTNSWoDMl_NggrmUsaw=s120" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/immersive_reading_guide/README.md"> Immersive Reading Guide </a> </td>
        <td> 無側邊欄！沉浸式 AI 網頁摘要，提問功能...</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/59196087/8a301619-a3de-489b-81fd-69aaa7c1c561" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/chatgpt_box/README.md"> ChatGPT Box </a> </td>
        <td> ChatGPT Box 是一個瀏覽器中的 ChatGPT 整合工具，完全免費。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/59196087/c3d9d100-247a-41cc-97c1-10b01ed25e70" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/hcfy/README.md"> hcfy (劃詞翻譯) </a> </td>
        <td> hcfy (劃詞翻譯) 是一個網頁瀏覽器擴展，整合了多個翻譯服務。</td>
    </tr>
    <tr>
        <td> <img src="https://static.eudic.net/web/trans/en_trans.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/Lulu Translate/README.md"> Lulu Translate </a> </td>
        <td> 該插件提供滑鼠選擇翻譯、逐段對比翻譯和 PDF 文件翻譯功能。它可以使用多種翻譯引擎，如 DeepSeek AI、Bing、GPT、Google 等。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/Bistutu/FluentRead/raw/refs/heads/main/public/icon/192.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://fluent.thinkstu.com/"> FluentRead </a> </td>
        <td> 一個革命性的開源瀏覽器翻譯插件，讓每個人都能擁有母語般的閱讀體驗。</td>
    </tr>
    <tr>
        <td> <img src="https://www.ncurator.com/_next/image?url=%2Ffavicon.ico&w=96&q=75" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.ncurator.com/"> Ncurator </a> </td>
        <td> 知識庫 AI 問答助手 - 讓 AI 幫助您整理和分析知識。</td>
    </tr>
    <tr>
        <td> <img src="https://github.com/oinzen/RSSFlow-doc/blob/main/docs/images/en/icon64.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://rssflow.oinchain.com"> RssFlow </a> </td>
        <td>一個智慧 RSS 閱讀器瀏覽器擴展，具有 AI 驅動的 RSS 摘要和多維度訂閱源檢視功能。支援 DeepSeek 模型配置以增強內容理解。</td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/Hedwi/deepchat/refs/heads/main/images/logo.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://chromewebstore.google.com/detail/deepchat-power-of-deepsee/femhcibnncinlabdboehojdhfcihpkpl?hl=en"> DeepChat </a> </td>
        <td> 一個 Chrome 擴展，允許用戶透過在任何網站上打開側邊欄與 DeepSeek 進行對話。此外，它還提供一個浮動選單，顯示在任何網站上選定文字下方，允許用戶生成文字摘要、檢查語法問題並翻譯內容。</td>
    </tr>
     <tr>
        <td> <img src="https://www.typral.com/_next/image?url=%2Ffavicon.ico&w=96&q=75" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.typral.com/"> Typral </a> </td>
        <td> 快速 AI 寫作助手 - 讓 AI 幫助您快速改進文章、論文、文本...</td>
    </tr>
    <tr>
        <td> <img src="https://static.trancy.org/assets/trancy_logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.trancy.org/"> Trancy </a> </td>
        <td> 沉浸式雙語翻譯、影片雙語字幕、句子/單詞選擇翻譯擴展。</td>
    </tr>
    <tr>
        <td> <img src="https://ziziyi.com/svg/anything_copilot.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/baotlake/anything-copilot"> Anything Copilot </a> </td>
        <td> Anything Copilot 是一個瀏覽器擴展，允許從側邊欄無縫訪問主流 AI 工具。</td>
    </tr>
    <tr>
        <td> <img src="https://cliprun.com/apple-touch-icon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://cliprun.com/"> Cliprun </a> </td>
        <td> Python 程式碼運行器和實驗場。右鍵點擊 DeepSeek 上的 Python 程式碼，即可在瀏覽器中立即運行。</td>
    </tr>
    <tr>
        <td> <img src="https://cdn.docky.ai/assets/logo.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/docky-ai/README.md"> Docky AI </a> </td>
        <td> Docky AI 是一個強大的瀏覽器擴展，允許您透過側邊欄與多個 AI 模型進行即時對話。它支援與多個模型的同時通訊，並能協助您閱讀網頁、寫作、翻譯和創建圖像。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="vscode">VS Code 擴充功能</span>

<table>
    <tr>
        <td> <img src="https://github.com/continuedev/continue/blob/main/docs/static/img/logo.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/continue/README.md"> Continue </a> </td>
        <td> Continue 是一個開源的 IDE 自動化工具。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/cline/assets/favicon.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/cline/README.md"> Cline </a> </td>
        <td> Cline 是一個能操作 CLI 和編輯器的 AI 助手。 </td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/Sitoi/ai-commit/refs/heads/main/images/logo.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/Sitoi/ai-commit/blob/main/README.md"> AI Commit </a> </td>
        <td> 使用 AI 在 VS Code 中生成 Git 提交訊息。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/titusTong/seekCodeCopilot/blob/main/assets/SeekCodeCopilotLogo.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/titusTong/seekCodeCopilot/blob/main/README.md"> SeekCode Copilot </a> </td>
        <td> 支援配置本地部署 DeepSeek 模型的 VS Code 智慧程式碼協助工具。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/intellism/vscode-comment-translate/blob/master/doc/image/icon.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/intellism/vscode-comment-translate/blob/master/README_ZH.md"> Comment Translation </a> </td>
        <td> 這款擴展程式能够幫助開發者翻譯程式碼中的注釋、字串、程式碼提示、錯誤資訊以及變數名。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="vs">Visual Studio 擴充功能</span>

<table>
    <tr>
        <td> <img src="https://merryyellow.gallerycdn.vsassets.io/extensions/merryyellow/comment2gpt/2.0.5/1739475434185/Microsoft.VisualStudio.Services.Icons.Default" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://marketplace.visualstudio.com/items?itemName=MerryYellow.Comment2GPT"> Comment2GPT </a> </td>
        <td> 透過註解功能使用 OpenAI ChatGPT、Google Gemini、Anthropic Claude、DeepSeek 和 Ollama。 </td>
    </tr>
    <tr>
        <td> <img src="https://merryyellow.gallerycdn.vsassets.io/extensions/merryyellow/codelens2gpt/2.0.5/1739475875714/Microsoft.VisualStudio.Services.Icons.Default" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://marketplace.visualstudio.com/items?itemName=MerryYellow.CodeLens2GPT"> CodeLens2GPT </a> </td>
        <td> 透過 CodeLens 使用 OpenAI ChatGPT、Google Gemini、Anthropic Claude、DeepSeek 和 Ollama。 </td>
    </tr>
    <tr>
        <td> <img src="https://merryyellow.gallerycdn.vsassets.io/extensions/merryyellow/uca-lite/1.4.2/1739392928984/Microsoft.VisualStudio.Services.Icons.Default" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://marketplace.visualstudio.com/items?itemName=MerryYellow.UCA-Lite"> Unity Code Assist Lite </a> </td>
        <td> Unity 腳本的程式碼協助工具。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="neovim">neovim 擴充功能</span>

<table>
    <tr>
        <td> <img src="https://github.com/user-attachments/assets/c316f70a-0a3c-4a32-b148-4df15e609acc" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/avante.nvim/README.md"> avante.nvim </a> </td>
        <td> avante.nvim 是一個開源的 IDE 自動化工具。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/user-attachments/assets/d66dfc62-8e69-4b00-8549-d0158e48e2e0" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/llm.nvim/README.md"> llm.nvim </a> </td>
        <td> 免費的大型語言模型 (LLM) 插件，讓您能在 Neovim 中與 LLM 互動。支援任何 LLM，例如 DeepSeek、GPT、GLM、Kimi 或本地 LLM（例如 Ollama）。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/user-attachments/assets/d66dfc62-8e69-4b00-8549-d0158e48e2e0" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/codecompanion.nvim/README.md"> codecompanion.nvim </a> </td>
        <td> 在 Neovim 中無縫整合 AI 驅動的程式設計功能。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/user-attachments/assets/d66dfc62-8e69-4b00-8549-d0158e48e2e0" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/minuet-ai.nvim/README.md"> minuet-ai.nvim </a> </td>
        <td> Minuet 提供即時程式碼補全，來自包括 DeepSeek、OpenAI、Gemini、Claude、Ollama、Codestral 等流行的 LLM。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="jetbrains">JetBrains 擴充功能</span>

<table>
    <tr>
        <td> <img src="https://plugins.jetbrains.com/files/21520/412905/icon/pluginIcon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://ide.unitmesh.cc/quick-start"> AutoDev </a> </td>
        <td> ‍AutoDev 是 JetBrain IDE 中的開源 AI 程式設計助手。 </td>
    </tr>
    <tr>
        <td> <img src="https://plugins.jetbrains.com/files/21410/561595/icon/pluginIcon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://plugins.jetbrains.com/plugin/21410-onegai-copilot"> Onegai Copilot </a> </td>
        <td> Onegai Copilot 是 JetBrain IDE 中的 AI 程式設計助手。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/continuedev/continue/blob/main/docs/static/img/logo.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/blob/main/docs/continue/README.md"> Continue </a> </td>
        <td> Continue 是一個開源的 IDE 自動化工具。 </td>
    </tr>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/a18792721831/studyplugin/535b9cab69da0f97b42dcaebb00bb0d4ed15c8a6/translate/src/main/resources/META-INF/pluginIcon.svg" alt="Icon" width="64" height="auto"/> </td>
        <td> <a href="https://plugins.jetbrains.com/plugin/18336-chinese-english-translate">Chinese-English Translate</a> </td>
        <td> Chinese-English Translate 是 JetBrain IDE 中的多語翻譯服務。 </td>
    </tr>
    <tr>
        <td> <img src="https://plugins.jetbrains.com/files/24851/659002/icon/pluginIcon.svg" alt="Icon" width="64" height="auto"/> </td>
        <td> <a href="https://plugins.jetbrains.com/plugin/24851-ai-git-commit">AI Git Commit</a> </td>
        <td> 此插件使用 AI 根據程式碼變更自動生成提交訊息。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/YiiGuxing/TranslationPlugin/blob/master/pluginIcon.svg?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://intellij-translation.yiiguxing.top/#/en/">IntelliJ Translation Plugin</a> </td>
        <td> IntelliJ Translation Plugin 是一款適用於基於 IntelliJ 的 IDE 翻譯插件，它整合了包括 OpenAI 翻譯（相容 DeepSeek，Doubao，Ollama，……）在內的眾多翻譯服務，讓您能夠隨時在 IDE 中直接翻譯程式碼內的任意文字內容，例如程式碼註解與程式碼文件等。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="discord">Discord 機器人</span>

<table>
    <tr>
        <td> <img src="https://geneplore.com/img/geneplore_color_logo_circular.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/Geneplore AI/README.md"> Geneplore AI </a> </td>
        <td> Geneplore AI 運行著最大的 AI Discord 機器人之一，現在搭載 DeepSeek v3 和 R1。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="codeeditor">原生 AI 程式碼編輯器</span>

<table>
    <tr>
        <td> <img src="https://global.discourse-cdn.com/flex020/uploads/cursor1/original/2X/a/a4f78589d63edd61a2843306f8e11bad9590f0ca.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://www.cursor.com/"> Cursor </a> </td>
        <td> ‍以 VS Code 為基礎的 AI 程式碼編輯器。 </td>
    </tr>
    <tr>
        <td> <img src="https://exafunction.github.io/public/images/windsurf/windsurf-app-icon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://codeium.com/windsurf"> WindSurf </a> </td>
        <td> 由 Codeium 開發的另一款以 VS Code 為基礎的 AI 程式碼編輯器。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="emacs">Emacs</span>

<table>
    <tr>
        <td> <img src="https://upload.wikimedia.org/wikipedia/commons/0/08/EmacsIcon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/karthink/gptel"> gptel </a> </td>
        <td> 一個簡單的 Emacs LLM 客戶端。 </td>
    </tr>
    <tr>
        <td> <img src="https://upload.wikimedia.org/wikipedia/commons/0/08/EmacsIcon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/milanglacier/minuet-ai.el"> Minuet AI </a> </td>
        <td> 在您的程式碼中與智慧共舞 💃。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="security">安全性</span>

<table>
    <tr>
        <td> <img src="https://github.com/lukehinds/awesome-deepseek-integration/blob/codegate/docs/codegate/assets/codegate.png"  alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/stacklok/codegate/"> CodeGate </a> </td>
        <td> CodeGate：安全的 AI 程式碼生成。 </td>
    </tr>
    <tr>
        <td> <img src="./docs/tencent/hunyuan.png"  alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/tencent/AI-Infra-Guard"> AI-Infra-Guard </a> </td>
        <td> 騰訊混元安全團隊 - AI 基礎設施安全評估工具，旨在發現和檢測 AI 系統中的潛在安全風險。 </td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="providers">供應商</span>

<table>
    <tr>
        <td> <img src="./docs/aimlapi/aimlapi_logo.png"  alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://docs.aimlapi.com/api-references/text-models-llm?utm_source=awesome-deepseek-integrations&utm_medium=github&utm_campaign=integration"> AI/ML API </a> </td>
        <td> AI/ML API 讓使用者只需透過一個 API，就能以企業級的方式存取 200 種以上的模型。 這包括 Deepseek R1 和 V3，以及封閉和開源模型。 所有服務的正常運行時間均為 99%，並提供 24/7 全天候的人力支援。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

###  <span id="others">其他</span>

<table>
    <tr>
        <td> <img src="https://raw.githubusercontent.com/mlflow/mlflow/refs/heads/master/assets/icon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://mlflow.org/docs/latest/tracing/integrations/deepseek"> MLflow </a></td>
        <td> 使用 DeepSeek 建立、測試、部署和監控 AI 應用程式的開放原始碼 MLOps / LLMOps 平台。</td>
    </tr>
    <tr>
        <td style="font-size: 64px">🤖</td>
        <td> <a href="https://github.com/wangrongding/wechat-bot/blob/main/README.md"> Wechat-Bot </a></td>
        <td> 基於 WeChaty 的微信機器人，結合 DeepSeek 和其他 AI 服務。 </td>
    </tr>
    <tr>
        <td style="font-size: 64px">&#128032;</td>
        <td> <a href="https://github.com/lunary-ai/abso/blob/main/README.md"> Abso </a></td>
        <td> 使用 OpenAI 格式與任何 LLM 提供者互動的 TypeScript SDK。 </td>
    </tr>
    <tr>
        <td> <img src="https://i.imgur.com/IsQYInJ.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/djcopley/ShellOracle/"> ShellOracle </a> </td>
        <td> 用於智慧生成 shell 命令的終端工具。 </td>
    </tr>
    <tr>
        <td> <img src="https://avatars.githubusercontent.com/u/178783630?s=200&v=4" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/bolna-ai/bolna/"> Bolna </a> </td>
        <td> 使用 DeepSeek 作為對話式語音 AI 助手的 LLM。 </td>
    </tr>
    <tr>
        <td> <img src="https://pics.fatwang2.com/56912e614b35093426c515860f9f2234.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/fatwang2/siri-ultra"> Siri Ultra </a> </td>
        <td> 一個在 GitHub 上擁有 1000 顆星的專案，支援網路連接、多輪對話和 DeepSeek 系列模型。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/deepseek-ai/awesome-deepseek-integration/assets/59196087/c1e47b01-1766-4f7e-bfe6-ab3cb3991c30" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/deepseek-ai/awesome-deepseek-integration/tree/main/docs/siri_deepseek_shortcut"> siri_deepseek_shortcut </a> </td>
        <td> Siri 搭載 DeepSeek API。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/n8n-io/n8n/blob/master/assets/n8n-logo.png?raw=true" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/rubickecho/n8n-deepseek"> n8n-nodes-deepseek </a> </td>
        <td> 一個 N8N 社群節點，支援將 DeepSeek API 直接整合到工作流程中。 </td>
    </tr>
    <tr>
        <td> <img src="https://framerusercontent.com/images/TSKshn2UFdTyvUi85EDMIXrXgs.png?scale-down-to=512" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/Portkey-AI/gateway"> Portkey AI </a> </td>
        <td> Portkey 是一個統一的 API，支援與超過 1600 種 LLM 模型互動，為您的 DeepSeek 應用提供高級控制、可見性和安全性工具。提供 Python 和 Node SDK。 </td>
    </tr>
    <tr>
        <td> <img src="https://framerusercontent.com/images/8rF2JOaZ8l9AvM4H6ezliw44aI.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/BerriAI/litellm"> LiteLLM </a> </td>
        <td> Python SDK，代理伺服器（LLM Gateway）以 OpenAI 格式調用 100+ LLM API。也支援 DeepSeek AI 並提供成本追蹤。 </td>
    </tr>
    <tr>
        <td> <img src="https://i.postimg.cc/k5Z4YWjt/Screenshot-2025-01-23-at-6-08-01-PM.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/mem0ai/mem0"> Mem0 </a> </td>
        <td> Mem0 為 AI 助手提供智慧記憶層，實現個性化互動和持續學習。 </td>
    </tr>
    <tr>
        <td> <img src="https://simplismart-public-assets.s3.ap-south-1.amazonaws.com/logos/Logo+Icon+Light.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://simplismart.ai/"> Simplismart AI </a> </td>
        <td> Simplismart 提供無縫的 GenAI 部署，為 LLM、Diffusion 和語音模型提供最快的推理速度。可在 Simplismart Cloud 或您自己的雲端上輕鬆部署 DeepSeek。 </td>
    </tr>
    <tr>
        <td> <img src="https://www.promptfoo.dev/img/logo-panda.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="docs/promptfoo/README.md"> promptfoo </a> </td>
        <td> 測試和評估 LLM 提示，包括 DeepSeek 模型。比較不同的 LLM 提供者，捕捉回歸並評估回應。 </td>
    </tr>
    <tr>
        <td>  </td>
        <td> <a href="https://github.com/AndersonBY/deepseek-tokenizer"> deepseek-tokenizer </a> </td>
        <td> 一個高效輕量的 DeepSeek 模型分詞庫。僅依賴於 `tokenizers` 庫，無需像 `transformers` 這樣的繁重依賴。 </td>
    </tr>
    <tr>
        <td> <img src="https://langfuse.com/icon.svg" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://langfuse.com/docs/integrations/deepseek"> Langfuse </a> </td>
        <td> 開源的 LLM 可觀測性平台，幫助團隊協作調試、分析和迭代其 DeepSeek 應用。 </td>
    </tr>
    <tr>
        <td> CR </td>
        <td> <a href="https://github.com/hustcer/deepseek-review"> deepseek-review </a> </td>
        <td> 🚀 提升您的程式碼，信心滿滿地發佈 – 使用 DeepSeek 程式碼審查提升您的工作流程 🚀 </td>
    </tr>
    <tr>
        <td> <img src="http://gptlocalhost.com/wp-content/uploads/2025/01/icon_1024.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://youtu.be/T1my2gqi-7Q"> GPTLocalost </a> </td>
        <td> 在 Microsoft Word 本地使用 DeepSeek-R1。無推理成本。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/suqicloud/wp-ai-chat/raw/main/ic_logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/suqicloud/wp-ai-chat"> WordPress ai助手 </a> </td>
        <td> 將 DeepSeek API 整合到 WordPress 網站的 AI 對話助手、文章生成和文章摘要插件中。 </td>
    </tr>
    <tr>
        <td> <img src="docs/ComfyUI-Copilot/assets/logo 2.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/AIDC-AI/ComfyUI-Copilot"> ComfyUI-Copilot </a> </td>
        <td> 基於 Comfy-UI 框架構建的智慧助手，透過自然語言互動簡化和增強 AI 演算法的調試與部署過程。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/Optima-CityU/llm4ad/blob/main/assets/figs/logo_short.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/Optima-CityU/llm4ad">LLM4AD</a> </td>
        <td> <a href="https://github.com/Optima-CityU/llm4ad">LLM4AD</a> 是一個基於 Python 的統一開源平台，使用大型語言模型 (LLMs) 進行自動演算法設計 (AD)。 </td>
    </tr>
    <tr>
        <td>  </td>
        <td> <a href="https://github.com/JiauZhang/chatchat"> chatchat </a> </td>
        <td> 大型語言模型 Python API。 </td>
    </tr>
    <tr>
        <td> <img src="https://serpapi.com/android-chrome-512x512.png" alt="Icon" width="64" height="auto" />   </td>
        <td> <a href="https://serpapi.com/blog/connect-deepseek-api-with-the-internet-google-search-and-more/#connect-deepseek-with-google-search-result"> SerpApi </a> </td>
        <td> 連接 DeepSeek API 與 Google 等搜尋結果。 </td>
    </tr>
    <tr>
        <td> <img src="https://github.com/yincongcyincong/telegram-deepseek-bot/blob/main/static/logo.png" alt="Icon" width="64" height="auto" /> </td>
        <td> <a href="https://github.com/yincongcyincong/telegram-deepseek-bot">telegram-deepseek-bot</a> </td>
        <td> <a href="https://github.com/yincongcyincong/telegram-deepseek-bot">telegram-deepseek-bot</a> 是一個集成 DeepSeek AI 能力的 Telegram 機器人。  </td>
    </tr>
    <tr>
        <td>  </td>
        <td> <a href="https://github.com/eqld/nlsh">nlsh</a> </td>
        <td> <a href="https://github.com/eqld/nlsh">nlsh</a> 是一款由 AI 驅動的命令列工具，能透過支援多種後端的大型語言模型（LLM），生成具有上下文感知能力的 Shell 指令。支援 Shell 專屬語法、唯讀系統工具，以及自訂的推理端點設定。</td>
    </tr>
</table>

<p style="text-align: right;"><a href="#目錄">^ 返回目錄 ^</a></p>

### Star 歷史

[![Star History Chart](https://api.star-history.com/svg?repos=deepseek-ai/awesome-deepseek-integration&type=Date)](https://star-history.com/#deepseek-ai/awesome-deepseek-integration&Date)
