<div align="center">
<a href="https://github.com/geek-fun/dockit"><img src="./assets/dockit.png" width="120"/></a>
</div>
<h1 align="center">DocKit</h1>
<div align="center">

[![Node.js CI](https://github.com/geek-fun/dockit/actions/workflows/node.yml/badge.svg)](https://github.com/geek-fun/dockit/actions/workflows/node.yml)
[![package release](https://github.com/geek-fun/dockit/actions/workflows/release.yml/badge.svg)](https://github.com/geek-fun/dockit/actions/workflows/release.yml)
[![Known Vulnerabilities](https://snyk.io/test/github/geek-fun/dockit/badge.svg)](https://snyk.io/test/github/geek-fun/dockit)
[![codecov](https://codecov.io/gh/geek-fun/dockit/branch/master/graph/badge.svg?token=GqlkEVgMvR)](https://codecov.io/gh/geek-fun/dockit)
[![GitHub version](https://badge.fury.io/gh/geek-fun%2Fdockit.svg)](https://badge.fury.io/gh/geek-fun%2Fdockit)
[![License](https://img.shields.io/badge/License-Apache_2.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)


</div>


[DocKit](https://dockit.geekfun.club/) is an AI powered desktop GUI client designed for NoSQL database, support Elasticsearch and OpenSearch across Mac, windows and Linux. By integrating with large models like DeepSeek, DocKit can help developers to write complex DSL queries, and provide a better experience for data management and analysis. </td>



## Client
![client UI](./assets/client-ui.png)

## Feature

DocKit offers a range of features to suit your specific needs:

- **User-Friendly Interface**: Navigate through your Elasticsearch/OpenSearch server with ease using DocKit's intuitive interface.
- **Advanced Search Capabilities**: Perform complex searches and analyze your data efficiently.
- **Cross-Platform Support**: Available for Mac, Windows, and Linux, ensuring compatibility with your operating system.
- **Open-Source**: DocKit is an open-source project, allowing for community contributions and continuous improvement.
- **Multiple Server Support**: Connect to multiple Elasticsearch/OpenSearch servers simultaneously, streamlining your workflow.
- **AI-Powered Search**: Utilize AI-powered search capabilities to enhance your data analysis and visualization.
- **Dark Mode Support**: DocKit offers a dark mode to protect your eyes and improve productivity.
- **Multi-Window Support**: DocKit supports multi-window operations, allowing you to view and edit multiple indices and documents simultaneously.
- **Multi-Language Support**: DocKit provides multiple language versions, ensuring ease of use for users worldwide.
- **Cluster Management and Monitoring**: DocKit offers cluster management and monitoring features, helping you easily manage and monitor the health, nodes, shards, and indices of your Elasticsearch clusters.

## Roadmap

- [ ] MongoDB support
- [ ] DynamoDB support
- [ ] TBC

## Installation

Available to download for free from [here](https://github.com/geek-fun/dockit/releases).

## Build Guidelines

### Prerequisites

* Node.js >= 20
* NPM >= 10

### Clone the code

```bash
git clone https://github.com/geek-fun/dockit.git --depth=1
```

### Install dependencies

```bash
npm install
```

### Compile and run

```bash
npm run tauri dev
```
## About
### Wechat Official Account
<img src="./assets/wechat_official.png" alt="wechat official account qr code" width="360" />

### Sponsor
If this project helpful for you, feel free to buy me a cup of coffee ☕️.

* Github Sponsor  
  [![Sponsor](https://img.shields.io/badge/-Sponsor-fafbfc?logo=GitHub-Sponsors)](https://github.com/sponsors/[geek-fun])

* Wechat Sponsor  
  <img src="./assets/wechat_ponsor.jpg" alt="wechat sponsor qr code" width="200" />
