# `Anda`

> 🤖 A Rust framework for AI agent development, designed to build a highly composable, autonomous, and perpetually memorizing network of AI agents.

**Anda Source Code**: [https://github.com/ldclabs/anda](https://github.com/ldclabs/anda)

**AI Agent Example**: [https://x.com/AndaICP](https://x.com/AndaICP)

Anda utilizes DeepSeek as its primary LLM service provider to deliver robust thinking and decision-making capabilities for the agent.

## 🤖 Introduction

`Anda` is an innovative framework for intelligent agent development, designed to build a highly composable, autonomous, and perpetually memorizing network of AI agents. By connecting agents across various industries, Anda aims to create a super AGI system, advancing artificial intelligence to new heights.

![Anda Diagram](./assets/anda_diagram.webp)

### ✨ Key Features

1. **Composability**:
   Anda agents specialize in solving domain-specific problems and can flexibly combine with other agents to tackle complex tasks. When a single agent cannot solve a problem alone, it collaborates with others to form a robust problem-solving network. This modular design allows Anda to adapt to diverse needs.

2. **Simplicity**:
   Anda emphasizes simplicity and ease of use, enabling developers to quickly build powerful and efficient agents. Non-developers can also create their own agents through simple configurations, lowering the technical barrier and inviting broader participation in agent development and application.

3. **Trustworthiness**:
   Anda agents operate within a decentralized trusted execution environment (dTEE) based on Trusted Execution Environments (TEEs), ensuring security, privacy, and data integrity. This architecture provides a highly reliable infrastructure for agent operations, safeguarding data and computational processes.

4. **Autonomy**:
   Anda agents derive permanent identities and cryptographic capabilities from the ICP blockchain, combined with the reasoning and decision-making abilities of large language models (LLMs). This allows agents to autonomously and efficiently solve problems based on their experiences and knowledge, adapting to dynamic environments and making effective decisions in complex scenarios.

5. **Perpetual Memory**:
   The memory states of Anda agents are stored on the ICP blockchain and within the trusted storage network of dTEE, ensuring continuous algorithm upgrades, knowledge accumulation, and evolution. This perpetual memory mechanism enables agents to operate indefinitely, even achieving "immortality", laying the foundation for a super AGI system.

### 🧠 Vision and Goals

Anda's goal is to create and connect countless agents, building an open, secure, trustworthy, and highly collaborative network of agents, ultimately realizing a super AGI system. We believe Anda will bring revolutionary changes across industries, driving the widespread application of AI technology and creating greater value for human society.
